Import CSV via "add delimited text layer" ignore first line of file csv

2015-09-11 08:27 AM - Carlos Tineo

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:2.10.1 Regression?: No

Operating System: linux - debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21399

Description

Import CSV via "add delimited text layer" ignore first line of file csv.

The first line contain the name of fields, in the process of import this name are missed. 

I repeat de first line and this work.

Versión de QGIS

2.10.1-Pisa

Revisión del código de QGIS

exported

Compilado contra Qt

4.8.6

Ejecutándose contra Qt

4.8.6

Compilado contra GDAL/OGR

1.10.1

Ejecutándose contra GDAL/OGR

1.10.1

Compilado contra GEOS

3.4.2-CAPI-1.8.2

Ejecutándose contra GEOS

3.4.2-CAPI-1.8.2 r3921

Versión del cliente PostgreSQL

9.4.3

Versión de SpatiaLite

4.1.1

Versión de QWT

6.0.0-svn

Versión de PROJ.4 

480

Versión de QScintilla2

2.8.4

History

#1 - 2015-09-11 08:29 AM - Carlos Tineo

- File ptos_dalila.csv added

file csv with first line repeat
#2 - 2015-09-11 11:12 PM - Nathan Woodrow

Did you use the "First line is headers" option?

#3 - 2015-09-12 01:45 AM - Saber Razmjooei

- Status changed from Open to Feedback

- Category set to Data Provider/Delimited Text 

#4 - 2015-09-14 11:19 AM - Carlos Tineo

Nathan Woodrow wrote:

Did you use the "First line is headers" option?

I don't use.

#5 - 2015-09-16 02:18 AM - Jukka Rahkonen

- File QGIS_CSV.png added

Works OK for me with QGIS 2.10.1 on Windows. I edited the csv file to have headers only once, checked the First record has field names option because

obviously that is the case. Ask to discard zero lines and press OK. Select the CRS and points appear on the map with attribute names and attribute values

in the table. See attached image which shows my options.

#6 - 2015-09-16 07:27 AM - Carlos Tineo

- Status changed from Feedback to Closed

- File oneRowHeader.png added

- File TwoRow_repeat.png added

Jukka Rahkonen wrote:

Works OK for me with QGIS 2.10.1 on Windows. I edited the csv file to have headers only once, checked the First record has field names option

because obviously that is the case. Ask to discard zero lines and press OK. Select the CRS and points appear on the map with attribute names and

attribute values in the table. See attached image which shows my options.

REady FIX this

This is my case: attach two image to see the problem (before). 

I fix this deleting the config in /home/user/.qgis2 anf /home/user/.config/QGIS 

Thank Very much

Files

ptos_dalila.csv 255 Bytes 2015-09-11 Carlos Tineo

QGIS_CSV.png 55.2 KB 2015-09-16 Jukka Rahkonen

oneRowHeader.png 140 KB 2015-09-16 Carlos Tineo

TwoRow_repeat.png 69.8 KB 2015-09-16 Carlos Tineo
